#ifndef LOCATION_P_H
#define LOCATION_P_H

#include <QObject>
#include <QString>
#include <QByteArray>

class LocationPrivate : public QObject
{
    Q_OBJECT

public:
    LocationPrivate(const QString &longitude, const QString &latitude, const QString &label);
    LocationPrivate(const QString &label);
    virtual ~LocationPrivate();

    void setLongitude(double longitude);
    void setLongitude(const QString &longitude);
    QString longitude() const;

    void setlatitude(double latitude);
    void setlatitude(const QString &latitude);
    QString latitude() const;

    void setAddress(const QString &address);
    QString address() const;

    void setLabel(const QString &label);
    QString label() const;

    void setValid(bool valid);
    bool isValid() const;

    void parseReply(const QByteArray &reply);

    QString m_label;
    QString m_address;
    QString m_longitude;
    QString m_latitude;
    bool    m_valid;
};

#endif // LOCATION_P_H
