#include "route_p.h"
#include "location.h"
#include "xmlparser.h"

#include <QXmlStreamReader>
#include <QDebug>
#include <QList>
#include <QFile>
#include <QStringList>
#include <QMaemo5InformationBox>

RoutePrivate::RoutePrivate(QObject *parent) :
    m_fromValid(false),
    m_toValid(false),
    m_fromLocation(0),
    m_toLocation(0)
{
    Q_UNUSED(parent)
}

RoutePrivate::~RoutePrivate()
{
}

QList<RouteData> RoutePrivate::parseReply(const QByteArray &reply)
{
    qDebug() << "parsing route/" << reply;

    XmlParser parser;
    QList<RouteData> retVal = parser.parseRouteData(reply);

    if (retVal.isEmpty()) {
        qDebug() << "no routes found";
        QMaemo5InformationBox::information(0, "no routes found");
    }

    return retVal;
}

void RoutePrivate::setFromLocation(Location *location)
{
    m_fromLocation = location;
    m_fromValid = true;
}

Location *RoutePrivate::fromLocation() const
{
    return m_fromLocation;
}

void RoutePrivate::setToLocation(Location *toLocation)
{
    m_toLocation = toLocation;
    m_toValid = true;
}

Location *RoutePrivate::toLocation() const
{
    return m_toLocation;
}

bool RoutePrivate::fromValid()
{
    return m_fromValid;
}

bool RoutePrivate::toValid()
{
    return m_toValid;
}
